import React from "react";
import { BrowserRouter, Route, Routes } from "react-router-dom";
import UserLayout from "./components/UserLayout";
import Home from "./pages/Home";

function Router() {
  return (
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<UserLayout />}>
          {/* Home page (user) */}
          <Route index element={<Home />} />
          {/* Book a boat (user) */}
          <Route path="book" element={<p>Book</p>}>
            {/* After booking (user) */}
            <Route path="success" element={null} />
          </Route>
          {/* Sign out (user) */}
          <Route path="signout">
            <Route path=":id" element={null} />
            {/* After Sign out (user) */}
            <Route path="success" element={null} />
          </Route>
        </Route>
      </Routes>
    </BrowserRouter>
  );
}

export default Router;
